<!DOCTYPE html>
<html>

<head>
    <title>INF226 Signup</title>
    <link rel="stylesheet" href="highlight.css" />
	<link rel="icon" href="favicon.png" type="image/png" />

</head>

<body>
    <div id="page">
    <form action="" method=post>
    <dl>
        {{ form.csrf_token }}
        
        <dt>Username:
        <dd>{{ form.username }}
        <dt>Password:
        <dd>{{ form.password }}
        <dt>Confirm Password:
        <dd>{{ form.password_two }}
    </dl>
    Password needs to be atleast 8 chars long, contain atleast one digit, atleast one uppercase and lowercase and one symole of: $, @, #, % 
    <p>
        <input type=submit value="Sign up">
        <input type=hidden value="{{ next or '' }}" name=next>
        <a href="/sendToLogin"><input type="button" value="Login"></a>
    </form>
    </div>
</body>
